Account Warning Update
Update the reason text for an existing warning. Requires the `MANAGE_WARNINGS` permission.
/accounts/{account_id}/warnings/{warning_id}Update the reason text for an existing warning. Requires the
MANAGE_WARNINGS permission.
In: cookie
Path Parameters
Account ID.
xidWarning ID.
xidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/accounts/string/warnings/string" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "id": "string", "issued_at": "2019-08-24T14:15:22Z", "reason": "string", "issued_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Account Warning List GET
List internal moderation warnings for an account. Warnings are never public. Members may view their own warning history, and staff with the `MANAGE_WARNINGS` permission may review warnings for any account.
Invitation Create POST
Create an invitation for the authenticated account. Responds with the invitation data which can be used to construct a public vendor-specific registration URL using the invitation's identifier which can be used in calls to registration operations to indicate the account was invited.